This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 17095 - Script fails if it runs from cron
Script fails if it runs from cron
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: crontabs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-29 19:02 EDT by Dean Williams
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 17:59:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Williams 2000-08-29 19:02:54 EDT
I have a very small shell script the work fine under a terminal window, but
if I try to run it from a crontab it fails. the email says "Your terminal
lacks the ability to clear the screen or position the cursor.
my shell script runs two programs, quote (a perl script) and mail.
This worked in under 6.1, any ideas?
Comment 1 Bill Nottingham 2000-08-29 19:04:51 EDT
Something in your script is using ncurses/slang and
is noticing that you're not running from a terminal. What
does the script look like?
Comment 2 Bill Nottingham 2000-10-02 18:14:49 EDT
closed, lack of input.

Note You need to log in before you can comment on or make changes to this bug.